#include <bv4627.h>

#include <Wire.h>

BV4627 bv4627(0x32);

void setup()
{
  Serial.begin(9600);
}

void loop()
{
uint16_t k=1;
char s[10]; 
  // device id
  Serial.println();
  Serial.print("Device ID ");
  itoa(bv4627.deviceid(),s,10);
  Serial.println(s);
  // firmware version
  *s=0;
  bv4627.version(s);
  Serial.print("Firmware Version ");
  Serial.println(s);
  // switch relays
  bv4627.click(1, 1, 30);
  bv4627.click(2, 1, 50);
  while(k) {
    k=bv4627.timer(2);
    itoa(k,s,10);
    Serial.println(s);
    delay(100);
  }
  bv4627.off();
  while(1); // stop
}

