// BV4627 binary

constant A0$ "d1"
constant A1$ "d3"
constant A2$ "d5"
constant A3$ "d7"

function r8_binit
    setport A0$ as out
    setport A1$ as out
    setport A2$ as out
    setport A3$ as out
    port A0$ 0
endf


function r8_select(relay)
    select relay
        case 0
            port A1$ 0: port A2$ 0: port A3$ 0 
        case 1
            port A1$ 1: port A2$ 0: port A3$ 0 
        case 2
            port A1$ 0: port A2$ 1: port A3$ 0 
        case 3
            port A1$ 1: port A2$ 1: port A3$ 0 
        case 4
            port A1$ 0: port A2$ 0: port A3$ 1 
        case 5
            port A1$ 1: port A2$ 0: port A3$ 1 
        case 6
            port A1$ 0: port A2$ 1: port A3$ 1 
        case 7
            port A1$ 1: port A2$ 1: port A3$ 1
    endselect         
endf

function r8_bon(rl)
    r8_select(rl)
    port A0$ 1
    wait 10
    port A0$ 0
endf

function r8_boff(rl)
    r8_select(rl)
    port A0$ 1
    port A0$ 0
endf

function go
dim j
    r8_binit
    for j = 0 to 7
        r8_bon(j)
        wait 500
    next    
    for j = 0 to 7
        r8_boff(j)
        wait 500
    next    
endf

        